---
dependency:
  name: galaxy
  enabled: true
driver:
  name: vagrant
  provider:
    name: libvirt
provisioner:
  name: ansible
  config_options:
    defaults:
      callbacks_enabled: profile_tasks
  log: true
  inventory:
    group_vars: {}
    host_vars: {}              
platforms:
  - name: jammy
    box: "jaredeh/ubuntu2204-server"
    box_version: "0.1.1"
    interfaces:
      - auto_config: true
        network_name: private_network
        type: dhcp
    instance_raw_config_args:
      # use single quotes to avoid YAML parsing as dict due to ':'
      - 'vm.synced_folder ".", "/vagrant", type: "rsync"'
      # Run 'uname' a provisionning step **needs 'provision: true' to work**
      - 'vm.provision :shell, inline: "uname"'
    # Dictionary of `config` options. Note that string values need to be
    # explicitly enclosed in quotes.
    config_options:
      vm.boot_timeout: 600
      ssh.keep_alive: yes
      ssh.remote_user: 'ansible'
      synced_folder: true
    provider_options:
      video_type: 'vga'
      host: 'localhost'
      uri: 'qemu:///system'
      nested: true
    memory: 4096
verifier:
  name: ansible
lint: |
  set -e
  ansible-lint
scenario:
  name: default